Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Configuration_Value_IntId Class Reference

The section hash table internal value class. More...

`#include <Configuration.h>`

List of all members.

## Public Methods
| ACE_Configuration_Value_IntId (void)
| default constructor. More...
ACE_EXPLICIT | ACE_Configuration_Value_IntId (ACE_TCHAR *string)
| string constructor, takes ownership of string. More...
ACE_EXPLICIT | ACE_Configuration_Value_IntId (u_int integer)
| integer constructor. More...
| ACE_Configuration_Value_IntId (void *data, u_int length)
| binary constructor, takes ownership of data. More...
| ACE_Configuration_Value_IntId (const ACE_Configuration_Value_IntId &rhs)
| copy ctor. More...
| ~ACE_Configuration_Value_IntId (void)
| destructor. More...
ACE_Configuration_Value_IntId & | operator= (const ACE_Configuration_Value_IntId &rhs)
| Assignment operator. More...
void | free (ACE_Allocator *alloc)
## Public Attributes
ACE_Configuration::VALUETYPE | type_
| points to the string value or binary data or IS the integer (XXX need to change this since sizeof (u_int) is not the same accross different platforms) Length is only used when type_ == BINARY. More...
void * | data_
u_int | length_

## Detailed Description

The section hash table internal value class.

This class is present as the internal portion of a section's value hash table It may store string, integer or binary data.

## Constructor & Destructor Documentation

ACE_Configuration_Value_IntId::ACE_Configuration_Value_IntId | ( | void |  | ) |

| default constructor.

ACE_Configuration_Value_IntId::ACE_Configuration_Value_IntId | ( | ACE_TCHAR * | string | ) |

| string constructor, takes ownership of string.

ACE_Configuration_Value_IntId::ACE_Configuration_Value_IntId | ( | u_int | integer | ) |

| integer constructor.

ACE_Configuration_Value_IntId::ACE_Configuration_Value_IntId | ( | void * | data,
|  | u_int | length
| ) |

| binary constructor, takes ownership of data.

ACE_Configuration_Value_IntId::ACE_Configuration_Value_IntId | ( | const ACE_Configuration_Value_IntId & | rhs | ) |

| copy ctor.

ACE_Configuration_Value_IntId::~ACE_Configuration_Value_IntId | ( | void |  | ) |

| destructor.

## Member Function Documentation

void ACE_Configuration_Value_IntId::free | ( | ACE_Allocator * | alloc | ) |

ACE_Configuration_Value_IntId & ACE_Configuration_Value_IntId::operator= | ( | const ACE_Configuration_Value_IntId & | rhs | ) |

| Assignment operator.

## Member Data Documentation

void* ACE_Configuration_Value_IntId::data_

u_int ACE_Configuration_Value_IntId::length_

ACE_Configuration::VALUETYPE ACE_Configuration_Value_IntId::type_

| points to the string value or binary data or IS the integer (XXX need to change this since sizeof (u_int) is not the same accross different platforms) Length is only used when type_ == BINARY.

The documentation for this class was generated from the following files:

- Configuration.h
- Configuration.cpp